Bug 731906 - Review Request: logsurfer+ - Real Time Log Monitoring and Alerting
Review Request: logsurfer+ - Real Time Log Monitoring and Alerting
Status: CLOSED WONTFIX
Product: Fedora EPEL
Classification: Fedora
Component: Package Review (Show other bugs)
el5
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-18 21:29 EDT by Tomonori Takekawa
Modified: 2015-01-12 03:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-16 09:46:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomonori Takekawa 2011-08-18 21:29:49 EDT
Spec URL: http://www.takekawa.tk/packages/rhel5/SRPMS/logsurfer+.spec
SRPM URL: http://www.takekawa.tk/packages/rhel5/SRPMS/logsurfer+-1.7-1.el5.src.rpm

Description:
Logsurfer is a program for monitoring system logs in real-time, and reporting on the occurrence of events. It is similar to the well-known swatch program on which it is based, but offers a number of advanced features which swatch does not support.

Hello.
This is my first package here.
So I'm very happy if I find a package sponsor.
Thank you for your time.
Comment 1 Nathan Owe 2011-08-18 22:11:53 EDT
Setting FE-NEEDSPONSOR since you need a sponsor.
Comment 2 Jason Tibbitts 2012-06-29 21:22:29 EDT
All URLs are dead now.  Marking this as not ready for review; please clear the Whiteboard above if providing a package that can be reviewed.
Comment 3 Tomonori Takekawa 2012-06-29 23:44:27 EDT
Now it can be reviewd.
Comment 4 Jason Tibbitts 2012-07-02 13:58:00 EDT
The next question is why this is marked as an EPEL package.  With very specific exceptions (such as things which simply cannot work in Fedora), all EPEL packages must be maintained in at least the development branch of Fedora and will automatically become part of the next Fedora release.
Comment 5 Michael Schwendt 2012-07-05 15:18:32 EDT
Independent of comment 4, some issues:


* The src.rpm is from August 2011. It has not been touched since then, and apparently, many months have passed without trying to bring it into shape with the help of the https://fedoraproject.org/wiki/Packaging:ReviewGuidelines


* At least the first "MUST" item from the Review Guidelines (which are not just for reviewers, because every packager ought to be familiar with them) should have been processed:

| MUST: rpmlint must be run on the source rpm and all binary rpms the build
| produces. The output should be posted in the review.

It finds a few issues. Hint. ;)


> BuildRequires: glibc >= 2.5-12, glibc-devel >= 2.5-12

glibc-devel already requires glibc. With full version-release even.

2.5-12 is the original package from RHEL5, so even for Fedora EPEL 5, specifying >= 2.5-12 is superfluous.


> Requires: glibc >= 2.5-12

https://fedoraproject.org/wiki/Packaging:Guidelines#Explicit_Requires


> URL: http://www.crypt.gen.nz/logsurfer/

Hmmm, that's a surprise. :-(  Nothing mandates that you would need to push many updates to this ticket, *but* there has been an 1.8 release on Sep 5th 2011, including a fix for a double-free. That would have been a great reason for an update and to demonstrate that you're willing to maintain this package.


> umask 022

This is the default, isn't it?


> %configure \
> 	--with-etcdir=%{_sysconfdir} \
> 	--prefix=%{_prefix} \
> 	--exec-prefix=%{_exec_prefix} \
> 	--mandir=%{_mandir}

See output of "rpm --eval %configure" to eliminate defaults.


> install -m 755 src/logsurfer $RPM_BUILD_ROOT%{_bindir}/
> install -m 644 man/*.1.* $RPM_BUILD_ROOT%{_mandir}/man1/
> install -m 644 man/*.4.* $RPM_BUILD_ROOT%{_mandir}/man4/
> install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/logsurfer/logsurfer.conf

https://fedoraproject.org/wiki/Packaging:Guidelines#Timestamps


> %config(noreplace) %{_sysconfdir}/logsurfer/logsurfer.conf

https://fedoraproject.org/wiki/Packaging:Guidelines#File_and_Directory_Ownership
Comment 6 Michael Schwendt 2012-07-05 15:20:43 EDT
> %{_sysconfdir}/logsurfer/logsurfer.conf

That doesn't match the build:

gcc -c -DWARN_ROOT -DHAVE_CONFIG_H -DDUMPFILE=\"/dev/null\" \
-DCONFFILE=\"/etc/logsurfer.conf\" -I.. -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m64 -mtune=generic context.c
Comment 7 Michael Schwendt 2012-07-05 15:42:41 EDT
Second thought ... just a brief look … if I continued with reviewing the built rpms:


> $ rpmls -p logsurfer+-1.7-1.fc17.x86_64.rpm |grep man
> -rw-r--r--  /usr/share/man/man1/logsurfer.1.in.gz
> -rw-r--r--  /usr/share/man/man4/logsurfer.conf.4.in.gz

Uh? .in.gz?


$ man logsurfer
man: warning: /usr/share/man/man1/logsurfer.1.in.gz: ignoring bogus filename
No manual entry for logsurfer


And logsurfer.conf in section 4 instead of section 5?
Comment 8 Parag AN(पराग) 2015-01-12 03:11:05 EST
Removing FE-NEEDSPONSOR from the closed review tickets.

Note You need to log in before you can comment on or make changes to this bug.